vncconnect(1)

NAME
vncconnect - connect a VNC server to a listening VNC viewer

SYNOPSIS
vncconnect [-display VNC-display] [-disconnect] host[:port]

DESCRIPTION
vncconnect can be used to initiate a "reverse connection" between a VNC server session and a VNC viewer that has been started in "listen mode." The viewer should be running on the machine specified by host and listening on the port specified by port (if port is not specified, then the default of 5500 is used.)

OPTIONS

-display VNC-display
    The X display of the VNC server session that you wish to connect to a listening viewer (default: read from the DISPLAY environment variable)

-disconnect
    Disconnect all listening viewers from a particular VNC server session

EXIT CODES
When used to initiate a reverse connection, vncconnect will exit with status 0 if the connection was successful. It will exit with status 1 if the connection failed (which would be the case if there was no listening viewer running on the specified host and port, if a firewall prevented the connection, or if reverse connections had been disallowed in the TurboVNC Server's authentication configuration file.) When used to disconnect reverse connections, vncconnect will exit with status 0 if one or more listening viewers were successfully disconnected. Otherwise, it will exit with status 1.

SEE ALSO
vncviewer(1), vncserver(1), Xvnc(1), vncpasswd(1)

AUTHORS
VNC was originally developed at AT&T Laboratories Cambridge. TightVNC additions were implemented by Constantin Kaplinsky. TurboVNC, based on TightVNC, is provided by The VirtualGL Project. Many other people participated in development, testing and support. Man page authors:
Tim Waugh <twaugh@redhat.com>
Constantin Kaplinsky <const@tightvnc.com>
D. R. Commander <information@turbovnc.org>